---
search:
  tags:
    - Container registries
    - PUT
seo:
  description: >-
    Updates a container registry and its credentials. Reference for the PUT
    /container-registry/{container_registry_id} endpoint in the Platform API.
sidebar:
  label: Update a container registry
  badge: PUT
title: Update a container registry
type: openapi-operation
---
Updates a container registry and its credentials.

`PUT /container-registry/{container_registry_id}`

**Request body** (`application/json`, required)

- `name` (string) — Updated container registry name.
- `description` (string) — Updated container registry description.
- `url` (string) — Updated registry URL.
- `username` (string) — Updated standard registry username.
- `password` (string) — Updated standard registry password.
- `access_key_id` (string) — Updated access key identifier.
- `secret_access_key` (string) — Updated secret access key.
- `region` (string) — Updated registry region.
- `role_arn` (string) — Updated AWS role ARN.
- `json_credentials` (string) — Updated GCP Artifact Registry JSON credentials.

Request body example:

```json
{
  "name": "string",
  "description": "string",
  "url": "string",
  "username": "string",
  "password": "string",
  "access_key_id": "string",
  "secret_access_key": "string",
  "region": "string",
  "role_arn": "string",
  "json_credentials": "string"
}
```

**Responses**

- `200` — Container registry updated successfully
- `default` — Error

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "s_id": "string",
  "name": "string",
  "description": "string",
  "type": "STANDARD",
  "configuration": {
    "url": "string",
    "region": "string",
    "role_arn": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
```
